export enum ErrorType {
  InvalidInput = 'invalid_input',
  PageParamIsNaN = 'page_param_is_nan',
  TakeParamIsNaN = 'take_param_is_nan',
  PageParamOutOfBounds = 'page_param_outofbounds',
  TakeParamOutOfBounds = 'take_param_outofbounds',
  NotUpdated = 'not_updated',
  ForeignKeyNotFound = 'foreign_key_not_found',
  EmailAlreadyTaken = 'email_already_taken',
  UserIdAlreadyTaken = 'userid_already_taken',
  WrongCredentials = 'wrong_credentials',
  UserNotVerified = 'not_verified',
  MaterialOrderNotAcknowledged = 'material_order_not_acknowledged',
  NoFittingRoleAvailable = 'no_fitting_role_available',
  IDNotFound = 'id_not_found',
  SaveFailed = 'save_failed',
  NotFound = 'not_found',
  InvalidFileType = 'invalid_file_type',
  InvalidUploadType = 'invalid_upload_type',
  LineItemUnavailable = 'line_item_unavailable',
  FileConversionError = 'file_conversion_error',
  CouldNotBeCreated = 'could_not_be_created',
  InvalidUserId = 'invalid_userid'
}
